config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  resources :tasks do
    resources :notes, only: [:create], controller: 'tasks/notes'
  end
  resources :categories
  root 'tasks#index'
  #get '/', to: 'tasks#show',  constraints: lambda { |request| user_signed_in?(request) }
  #root to: redirect('/users/sign_in')
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html
end

app/views/layouts/_messages.html.haml
- flash.each do |name, msg|
  - if msg.is_a?(String)
    %br
    %div{:class => "alert alert-#{name.to_s == 'notice' ? 'success' : 'danger'}"}
      %button.close{"aria-hidden" => "true", "data-dismiss" => "alert", :type => "button"} &times;
      = content_tag :div, msg, :id => "flash_#{name}"

app/views/layouts/_navbar.html.haml
%nav.navbar.navbar-expand-lg.navbar-dark.bg-dark-blue
  %a.navbar-brand
    = image_tag 'logo.png', class: 'd-inline-block align-top', width: 85
  %button.navbar-toggler{"aria-controls" => "navbarNavDropdown", "aria-expanded" => "false", "aria-label" => "Toggle navigation", "data-target" => "#navbarNavDropdown", "data-toggle" => "collapse", :type => "button"}
    %span.navbar-toggler-icon
  #navbarNavDropdown.collapse.navbar-collapse
    %ul.navbar-nav
      %li.nav-item.active
        %a.nav-link{ href: root_path }
          Inicio
          %span.sr-only (current)
      %li.nav-item
        %a.nav-link{ href: categories_path } Categorías
  = link_to 'Crear Tarea', new_task_path, class: 'btn btn-light ml-2'
  - if user_signed_in?
    .dropdown.dropdown-user
      %a#userMenu{"aria-expanded" => "false", "aria-haspopup" => "true", "data-toggle" => "dropdown"}
        = image_tag "https://robohash.org/#{current_user.email}?size=38x38"
      .dropdown-menu.dropdown-menu-right{"aria-labelledby" => "userMenu"}
        .dropdown-item.small.text-right= current_user.email
        .dropdown-divider
        = link_to destroy_user_session_path, method: :delete, class: 'dropdown-item' do
          .fas.fa-sign-out
          Cerrar sesión

app/views/layouts/application.html.haml
!!!
%html
  %head
    %meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
    %title Organizador
    = csrf_meta_tags
    = csp_meta_tag
    = javascript_pack_tag 'application', 'data-turbolinks-track': 'reload'
    = stylesheet_pack_tag 'application', media: 'all', 'data-turbolinks-track': 'reload'
    = stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload'
  %body
    = render 'layouts/navbar'
    .container.mt-4.pb-4
      .main-flash-messages
        = render 'layouts/messages'
      = yield

app/views/layouts/devise.html.haml
!!!
%html
  %head
    %meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
    %title Tasker
    = csrf_meta_tags
    = csp_meta_tag
    = javascript_pack_tag 'application', 'data-turbolinks-track': 'reload'
    = stylesheet_pack_tag 'application', media: 'all', 'data-turbolinks-track': 'reload'
    = stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload'
  %body
    .container
      .main-flash-messages
        = render 'layouts/messages'
    .fullscreen
      .container
        = yield